This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ServiceWatch

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of ServiceWatch service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0SUPPORTED20260630
1.1CURRENT-

OpenAPI URL

https://servicewatch.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - CreateCustomLogEvents

1.1.1 - 1.1

post /v1/log-groups/log-streams/log-events

Description

Create custom log events

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CustomLogEventsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCustomLogEventsCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/log-groups/log-streams/log-events

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "resourceLogs": [
        {
            "resource": {
                "attributes": [
                    {
                        "key": "log_stream_value",
                        "value": {
                            "stringValue": "a1e2f3045678901a2b3c4d5e6f7a8b81"
                        }
                    },
                    {
                        "key": "log_group_value",
                        "value": {
                            "stringValue": "b1e2f3045678901a2b3c4d5e6f7a8b81"
                        }
                    },
                    {
                        "key": "account_id",
                        "value": {
                            "stringValue": "c1e2f3045678901a2b3c4d5e6f7a8b81"
                        }
                    }
                ]
            },
            "scopeLogs": [
                {
                    "logRecords": [
                        {
                            "body": {
                                "stringValue": "level=info otlp test log"
                            },
                            "timeUnixNano": "1762336464000000000"
                        }
                    ]
                }
            ]
        }
    ]
}

Example HTTP response

Response 202

{
    "status": "success"
}

1.2 - CreateCustomLogStream

1.2.1 - 1.1

post /v1/log-groups/log-streams/collect/custom

Description

Create a custom log stream

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LogGroupsLogStreamsCollectCustomRequest

Responses

HTTP CodeDescriptionSchema
200OKLogGroupsLogStreamsCollectCustomResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/log-groups/log-streams/collect/custom

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "log_group_name": "testlg01",
    "log_stream_name": "testls01"
}

Example HTTP response

Response 200

{
    "account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
    "log_group_value": "fa6169af200b4d5db229aff384b2a028",
    "log_stream_value": "551513c5182b45beb22eadb634cdccfb",
    "requests_per_second": 500
}

1.3 - CreateCustomMetricMetas

1.3.1 - 1.1

post /v1/metrics/custom/meta

Description

Create Custom Metric Metas

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricCustomMetaRequest

Responses

HTTP CodeDescriptionSchema
200OKMetricCustomMetaResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics/custom/meta

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "metricMetas": [
        {
            "descriptionEn": "filestorage volume total byte",
            "descriptionKo": "파일스토리지 총 바이트 수",
            "dimensions": [
                [
                    "image_id"
                ]
            ],
            "metricName": "Custom_filestorage_volume_total_byte",
            "storageResolution": 60,
            "unit": "Bytes"
        }
    ],
    "namespace": "MyCustom/filestorage"
}

Example HTTP response

Response 200

{
    "account_id": "d79a5194b1a44a858969eb94754d3ba1",
    "max_data_points": "",
    "unit_logs": [
        {
            "code": "Success",
            "message": "[libvirt_domain_info_virtual_cpus] unit is updated from Count to Bytes"
        }
    ]
}

1.4 - CreateCustomMetrics

1.4.1 - 1.1

post /v1/metrics/custom

Description

Create Custom Metrics. The request body of this API can receive data in either camelCase or snake_case.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricCustomRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics/custom

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "resource_metrics": [
        {
            "resource": {
                "attributes": [
                    {
                        "key": "",
                        "value": {
                            "array_value": "",
                            "bool_value": "",
                            "byte_value": "",
                            "double_value": "",
                            "int_value": "",
                            "kvlist_value": "",
                            "string_value": ""
                        }
                    }
                ]
            },
            "scope_metrics": [
                {
                    "metrics": [
                        {
                            "description": "The total number of bytes read successfully.",
                            "gauge": {
                                "data_points": [
                                    {
                                        "as_double": 0.75,
                                        "as_int": 10,
                                        "attributes": [
                                            {
                                                "key": "",
                                                "value": {
                                                    "array_value": "",
                                                    "bool_value": "",
                                                    "byte_value": "",
                                                    "double_value": "",
                                                    "int_value": "",
                                                    "kvlist_value": "",
                                                    "string_value": ""
                                                }
                                            }
                                        ],
                                        "start_time_unix_nano": "1753776789854000000",
                                        "time_unix_nano": "1753776789854000000"
                                    }
                                ]
                            },
                            "name": "node_disk_read_bytes_total",
                            "sum": {
                                "aggregation_temporality": "2",
                                "data_points": [
                                    {
                                        "as_double": 0.75,
                                        "as_int": 10,
                                        "attributes": [
                                            {
                                                "key": "",
                                                "value": {
                                                    "array_value": "",
                                                    "bool_value": "",
                                                    "byte_value": "",
                                                    "double_value": "",
                                                    "int_value": "",
                                                    "kvlist_value": "",
                                                    "string_value": ""
                                                }
                                            }
                                        ],
                                        "start_time_unix_nano": "1753776789854000000",
                                        "time_unix_nano": "1753776789854000000"
                                    }
                                ],
                                "is_monotonic": true
                            },
                            "unit": "Bytes"
                        }
                    ],
                    "scope": {
                        "name": "ServiceWatch-Agent",
                        "version": "1.0.0"
                    }
                }
            ]
        }
    ]
}

Example HTTP response

Response 202

1.5 - CreateDashboard

1.5.1 - 1.1

post /v1/dashboards

Description

Create dashboard

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DashboardCreationRequest

Responses

HTTP CodeDescriptionSchema
201CreatedDashboardDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "name": "New-Monitoring-Dashboard",
    "widgets": [
        {
            "height": 1,
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

Example HTTP response

Response 201

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "InstanceId",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2026-02-11T06:44:14.228Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

1.5.2 - 1.0

post /v1/dashboards

Description

Create dashboard

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DashboardCreationRequest

Responses

HTTP CodeDescriptionSchema
201CreatedDashboardDetailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Request body

{
    "name": "New-Monitoring-Dashboard",
    "widgets": [
        {
            "height": 1,
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

Example HTTP response

Response 201

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "InstanceId",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2026-02-11T06:44:14.030Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

1.6 - DeleteBulkDashboards

1.6.1 - 1.1

delete /v1/dashboards

Description

Delete bulk dashboards

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DashboardBulkDeleteRequest

Responses

HTTP CodeDescriptionSchema
200OKDashboardBulkDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "dashboard_ids": [
        "b48e730a70e74f6aa3d2555000b5c22b",
        "c48e730a70e74f6aa3d2555000b5c22b"
    ]
}

Example HTTP response

Response 200

{
    "dashboard_names": [
        "dash-abc",
        "dash-def"
    ]
}

1.6.2 - 1.0

delete /v1/dashboards

Description

Delete bulk dashboards

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DashboardBulkDeleteRequest

Responses

HTTP CodeDescriptionSchema
200OKDashboardBulkDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Request body

{
    "dashboard_ids": [
        "b48e730a70e74f6aa3d2555000b5c22b",
        "c48e730a70e74f6aa3d2555000b5c22b"
    ]
}

Example HTTP response

Response 200

{
    "dashboard_names": [
        "dash-abc",
        "dash-def"
    ]
}

1.7 - DownloadMetricDataImage

1.7.1 - 1.1

post /v1/metrics/data/download/image

Description

Download metric data image

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricDataImageRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics/data/download/image

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "end": 1640995440,
    "height": 400,
    "metrics": [
        {
            "color": "#0000ff",
            "dimensions": [
                {
                    "key": "VolumeID",
                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                }
            ],
            "display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
            "name": "CPU Usage/Core[Basic]",
            "namespace_name": "Virtual Server",
            "period": 300,
            "statistic_type": "AVG"
        }
    ],
    "period": 300,
    "start": 1640995200,
    "statistic_type": "AVG",
    "timezone": "UTC",
    "title": "Virtual Server Metric Chart",
    "width": 600
}

Example HTTP response

Response 200

1.7.2 - 1.0

post /v1/metrics/data/download/image

Description

Download metric data image

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricDataImageRequest

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics/data/download/image

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Request body

{
    "end": 1640995440,
    "height": 400,
    "metrics": [
        {
            "color": "#0000ff",
            "dimensions": [
                {
                    "key": "VolumeID",
                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                }
            ],
            "display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
            "individual_items": [
                {
                    "key": "VolumeID",
                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                }
            ],
            "name": "CPU Usage/Core[Basic]",
            "namespace_name": "Virtual Server",
            "period": 300,
            "statistic_type": "AVG"
        }
    ],
    "period": 300,
    "start": 1640995200,
    "statistic_type": "AVG",
    "timezone": "UTC",
    "title": "Virtual Server Metric Chart",
    "width": 600
}

Example HTTP response

Response 200

1.8 - ListDashboards

1.8.1 - 1.1

get /v1/dashboards

Description

Get list of dashboards

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : name:asc or modified_at:desc
any of [string, null]None
queryname
optional
Dashboard’s name
Example : MyProd
any of [string, null]None
queryname_like
optional
Wildcard Search for Dashboard Names
Example : MyProd
any of [string, null]None
queryfavorite_enabled
optional
Whether it is a favorite dashboard
Example : True
any of [boolean, null]None

Responses

HTTP CodeDescriptionSchema
200OKDashboardPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "dashboards": [
        {
            "created_at": "2026-02-11T06:44:14.209Z",
            "favorite_enabled": true,
            "id": "b48e730a70e74f6aa3d2555000b5c22b",
            "modified_at": "2026-02-11T06:44:14.209Z",
            "name": "Production-Web-Servers",
            "type": "Custom"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.8.2 - 1.0

get /v1/dashboards

Description

Get list of dashboards

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : name:asc or modified_at:desc
any of [string, null]None
queryname
optional
Dashboard’s name
Example : MyProd
any of [string, null]None
queryname_like
optional
Wildcard Search for Dashboard Names
Example : MyProd
any of [string, null]None
queryfavorite_enabled
optional
Whether it is a favorite dashboard
Example : True
any of [boolean, null]None

Responses

HTTP CodeDescriptionSchema
200OKDashboardPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "dashboards": [
        {
            "created_at": "2026-02-11T06:44:14.008Z",
            "favorite_enabled": true,
            "id": "b48e730a70e74f6aa3d2555000b5c22b",
            "modified_at": "2026-02-11T06:44:14.008Z",
            "name": "Production-Web-Servers",
            "type": "Custom"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.9 - ListMetricData

1.9.1 - 1.1

post /v1/metrics/data

Description

Get metric data list

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricDataRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKMetricDataResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics/data

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "end": 1640995440,
    "metrics": [
        {
            "dimensions": [
                {
                    "key": "VolumeID",
                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                }
            ],
            "display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
            "name": "CPU Usage/Core[Basic]",
            "namespace_name": "Virtual Server",
            "period": 300,
            "statistic_type": "AVG"
        }
    ],
    "period": 300,
    "start": 1640995200,
    "statistic_type": "AVG"
}

Example HTTP response

Response 200

{
    "metrics": [
        {
            "display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
            "status": "",
            "values": "[[1640995200, \"45.5\"]]"
        }
    ]
}

1.9.2 - 1.0

post /v1/metrics/data

Description

Get metric data list

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricDataRequest

Responses

HTTP CodeDescriptionSchema
200OKMetricDataResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics/data

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Request body

{
    "end": 1640995440,
    "metrics": [
        {
            "dimensions": [
                {
                    "key": "VolumeID",
                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                }
            ],
            "display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
            "individual_items": [
                {
                    "key": "VolumeID",
                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                }
            ],
            "name": "CPU Usage/Core[Basic]",
            "namespace_name": "Virtual Server",
            "period": 300,
            "statistic_type": "AVG"
        }
    ],
    "period": 300,
    "start": 1640995200,
    "statistic_type": "AVG"
}

Example HTTP response

Response 200

{
    "metrics": [
        {
            "display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
            "status": "",
            "values": "[[1640995200, \"45.5\"]]"
        }
    ]
}

1.10 - ListMetricInfos

1.10.1 - 1.1

post /v1/metrics

Description

Get metric list

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricSearchRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKMetricsResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "metric_name": "CPU Usage/Core[Basic]",
    "namespaces": [
        {
            "dimensions": "[[\"resource_id\"]]",
            "name": "Virtual Server"
        }
    ],
    "resource_id": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502",
    "resource_name": "VirtualServer01",
    "tags": [
        {
            "key": "key01",
            "value": "value01"
        }
    ]
}

Example HTTP response

Response 200

{
    "count": 1,
    "namespaces": [
        {
            "dimensions": [
                {
                    "columns": [
                        {
                            "key": "name",
                            "name_en": "지표명",
                            "name_ko": "지표명"
                        }
                    ],
                    "keys": "InstanceId",
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
                                    "name": "Alert1"
                                }
                            ],
                            "default_collection_interval": "5m",
                            "detailed_collection_interval": "1m",
                            "dimensions": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
                            "name": "CPU Usage/Core[Basic]",
                            "named_dimensions": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
                            "namespace_name": "Virtual Server",
                            "primary": true,
                            "recommended_stat_types": "[\"AVG\", \"MAX\"]",
                            "tags": [
                                {
                                    "key": "key01",
                                    "value": "value01"
                                }
                            ],
                            "unit": "BYTE"
                        }
                    ]
                }
            ],
            "id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
            "name": "Virtual Server",
            "service_name": ""
        }
    ]
}

1.10.2 - 1.0

post /v1/metrics

Description

Get metric list

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricSearchRequest

Responses

HTTP CodeDescriptionSchema
200OKMetricsResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Request body

{
    "metric_name": "CPU Usage/Core[Basic]",
    "namespaces": [
        {
            "dimensions": "[\"resource_id\"]",
            "name": "Virtual Server"
        }
    ],
    "resource_id": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502",
    "resource_name": "VirtualServer01",
    "tags": [
        {
            "key": "key01",
            "value": "value01"
        }
    ]
}

Example HTTP response

Response 200

{
    "count": 1,
    "namespaces": [
        {
            "dimensions": [
                {
                    "columns": [
                        {
                            "key": "name",
                            "name_en": "지표명",
                            "name_ko": "지표명"
                        }
                    ],
                    "key": "InstanceId",
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
                                    "name": "Alert1"
                                }
                            ],
                            "default_collection_interval": "5m",
                            "detailed_collection_interval": "1m",
                            "dimensions": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "id": "d91097ac-0387-4e69-adb2-7b8d453b8db5",
                            "individual_items": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "name": "CPU Usage/Core[Basic]",
                            "named_dimensions": [
                                {
                                    "key": "VolumeID",
                                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                                }
                            ],
                            "namespace_id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
                            "namespace_name": "Virtual Server",
                            "primary": true,
                            "recommended_stat_types": "[\"AVG\", \"MAX\"]",
                            "tags": [
                                {
                                    "key": "key01",
                                    "value": "value01"
                                }
                            ],
                            "unit": "BYTE"
                        }
                    ]
                }
            ],
            "id": "d583a229-9766-4eb8-96c4-ec389902ba3d",
            "name": "Virtual Server",
            "service_name": ""
        }
    ]
}

1.11 - SetDashboard

1.11.1 - 1.1

put /v1/dashboards/{dashboard_id}

Description

Set dashboard

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathdashboard_id
required
Dashboard’s unique ID
Example : b48e730a70e74f6aa3d2555000b5c22b
stringNone
bodybody
required

DashboardUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKDashboardDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/dashboards/{dashboard_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "name": "Renamed-Dashboard",
    "widgets": [
        {
            "height": 1,
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

Example HTTP response

Response 200

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "InstanceId",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2026-02-11T06:44:14.289Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

1.11.2 - 1.0

put /v1/dashboards/{dashboard_id}

Description

Set dashboard

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
pathdashboard_id
required
Dashboard’s unique ID
Example : b48e730a70e74f6aa3d2555000b5c22b
stringNone
bodybody
required

DashboardUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKDashboardDetailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/dashboards/{dashboard_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Request body

{
    "name": "Renamed-Dashboard",
    "widgets": [
        {
            "height": 1,
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

Example HTTP response

Response 200

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "InstanceId",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2026-02-11T06:44:14.091Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

1.12 - ShowAgentDownloadLink

1.12.1 - 1.1

get /v1/agents/download-link

Description

Show link to agent download

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Responses

HTTP CodeDescriptionSchema
200OKAgentDownloadLinkResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/agents/download-link

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Example HTTP response

Response 200

{
    "download_link": "download_link = 'https://object-store.private.{region}.{environment}.samsungsdscloud.com/account:swt-agent/1.0/ServiceWatch_Agent.zip'"
}

1.13 - ShowDashboard

1.13.1 - 1.1

get /v1/dashboards/{dashboard_id}

Description

Show dashboard

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathdashboard_id
required
Dashboard’s unique ID
Example : b48e730a70e74f6aa3d2555000b5c22b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDashboardDetailResponseV1Dot1
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/dashboards/{dashboard_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Example HTTP response

Response 200

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "InstanceId",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2026-02-11T06:44:14.270Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

1.13.2 - 1.0

get /v1/dashboards/{dashboard_id}

Description

Show dashboard

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
pathdashboard_id
required
Dashboard’s unique ID
Example : b48e730a70e74f6aa3d2555000b5c22b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDashboardDetailResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/dashboards/{dashboard_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Example HTTP response

Response 200

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "InstanceId",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2026-02-11T06:44:14.072Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "InstanceId",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

2 - Models

2.1 - AgentDownloadLinkResponse

NameDescriptionSchemaDefault
download_link
required
URL to download agent
Example : download_link = 'https://object-store.private.{region}.{environment}.samsungsdscloud.com/account:swt-agent/1.0/ServiceWatch_Agent.zip'
string

2.2 - AlertPropertiesDTO

NameDescriptionSchemaDefault
metrics
required
List of metrics included in the widget
array[MetricAlertsDTO]
period
optional
Query period (seconds)
Example : 300
any of [integer, null]
stacked
required
Whether the graph is stacked
Example : False
boolean
statistic_type
optional
Statistical function
Example : AVG
any of [string, null]
title
required
Widget title
Example : Virtual Server | CPU Utilization
string
view
required
View type
Example : line
string

2.3 - AlertsObjectDTO

NameDescriptionSchemaDefault
summary
required
Alert summary
AlertSummaryDTO
widgets
optional
List of widgets containing alert information
any of [array[DashboardAlertWidgetDTO], null]

2.4 - AlertSummaryDTO

NameDescriptionSchemaDefault
high
required
Number of high-severity alarms
Example : 1
integer
low
required
Number of low-severity alarms
Example : 0
integer
medium
required
Number of medium-severity alarms
Example : 3
integer

2.5 - CustomLogAttributeDTO

NameDescriptionSchemaDefault
key
required
Key
Example :
string
value
required
Value
CustomLogValueDTO

2.6 - CustomLogEventsCreateRequest

NameDescriptionSchemaDefault
resourceLogs
required
Resource Logs
array[CustomResourceLogDTO]

2.7 - CustomLogEventsCreateResponse

NameDescriptionSchemaDefault
status
required
Status
Example : success
string

2.8 - CustomLogRecordDTO

NameDescriptionSchemaDefault
body
required
Body
CustomLogValueDTO
timeUnixNano
required
Unix nano time
Example : 1762336464000000000
integer

2.9 - CustomLogResourceDTO

NameDescriptionSchemaDefault
attributes
required
Attributes
Example : [{'key': 'log_stream_value', 'value': {'stringValue': 'a1e2f3045678901a2b3c4d5e6f7a8b81'}}, {'key': 'log_group_value', 'value': {'stringValue': 'b1e2f3045678901a2b3c4d5e6f7a8b81'}}, {'key': 'account_id', 'value': {'stringValue': 'c1e2f3045678901a2b3c4d5e6f7a8b81'}}]
array[CustomLogAttributeDTO]

2.10 - CustomLogValueDTO

NameDescriptionSchemaDefault
stringValue
required
String Value: account_id, log_group_value, log_stream_value
Example : level=info otlp test log
string

2.11 - CustomResourceLogDTO

NameDescriptionSchemaDefault
resource
required
Resource
CustomLogResourceDTO
scopeLogs
required
Scope Log
array[CustomScopeLogDTO]

2.12 - CustomScopeLogDTO

NameDescriptionSchemaDefault
logRecords
required
Log Records
array[CustomLogRecordDTO]

2.13 - DashboardAlertWidgetDTO

NameDescriptionSchemaDefault
properties
required
Widget’s detailed properties
AlertPropertiesDTO

2.14 - DashboardBulkDeleteRequest

NameDescriptionSchemaDefault
dashboard_ids
required
List of dashboard IDs
Example : ['b48e730a70e74f6aa3d2555000b5c22b', 'c48e730a70e74f6aa3d2555000b5c22b']
array[string]

2.15 - DashboardBulkDeleteResponse

NameDescriptionSchemaDefault
dashboard_names
required
List of dashboard’s name
Example : ['dash-abc', 'dash-def']
array[string]

2.16 - DashboardCreationRequest

NameDescriptionSchemaDefault
name
required
Dashboard’s name
Example : New-Monitoring-Dashboard
string
widgets
optional
List of widgets included in the dashboard
any of [array[WidgetDTO], null]

2.17 - DashboardDetailResponse

NameDescriptionSchemaDefault
alerts
optional
Alert information related to the dashboard
any of [AlertsObjectDTO, null]
created_at
required
Created date time
Example :
string (date-time)
created_by
required
Creator ID
Example : user-xxxxxxxx
string
favorite_enabled
required
Whether it is a favorite dashboard
Example : True
boolean
id
required
Dashboard’s unique ID
Example : b48e730a70e74f6aa3d2555000b5c22b
string
modified_at
optional
Modified date time
Example :
any of [string (date-time), null]
modified_by
optional
Modifier ID
Example : user-yyyyyyyy
any of [string, null]
name
required
Dashboard’s name
Example : Production-Web-Servers
string
product_name
required
Associated resource type
Example : ServiceWatch
string
resource_id
required
Associated resource ID
Example : c8e41e595ad040a8abe57e2ffc109113
string
resource_name
required
Associated resource name
Example : Production-Web-Servers
string
resource_type
required
Associated resource type
Example : dashboard
string
share_type
required
Sharing type
Example : Private
string
srn
required
Service resource name (SRN)
Example : srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113
string
type
required
Dashboard type
Example : Custom
string
widgets
optional
List of widgets included in the dashboard
any of [array[WidgetDetailDTO], null]

2.18 - DashboardDetailResponseV1Dot1

NameDescriptionSchemaDefault
alerts
optional
Alert information related to the dashboard
any of [AlertsObjectDTO, null]
created_at
required
Created date time
Example :
string (date-time)
created_by
required
Creator ID
Example : user-xxxxxxxx
string
favorite_enabled
required
Whether it is a favorite dashboard
Example : True
boolean
id
required
Dashboard’s unique ID
Example : b48e730a70e74f6aa3d2555000b5c22b
string
modified_at
optional
Modified date time
Example :
any of [string (date-time), null]
modified_by
optional
Modifier ID
Example : user-yyyyyyyy
any of [string, null]
name
required
Dashboard’s name
Example : Production-Web-Servers
string
product_name
required
Associated resource type
Example : ServiceWatch
string
resource_id
required
Associated resource ID
Example : c8e41e595ad040a8abe57e2ffc109113
string
resource_name
required
Associated resource name
Example : Production-Web-Servers
string
resource_type
required
Associated resource type
Example : dashboard
string
share_type
required
Sharing type
Example : Private
string
srn
required
Service resource name (SRN)
Example : srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113
string
type
required
Dashboard type
Example : Custom
string
widgets
optional
List of widgets included in the dashboard
any of [array[WidgetDetailDtoV1Dot1], null]

2.19 - DashboardDTO

NameDescriptionSchemaDefault
created_at
required
Created date time
Example :
string (date-time)
favorite_enabled
required
Whether it is a favorite dashboard
Example : True
boolean
id
required
Dashboard’s unique ID
Example : b48e730a70e74f6aa3d2555000b5c22b
string
modified_at
required
Modified date time
Example :
string (date-time)
name
required
Dashboard’s name
Example : Production-Web-Servers
string
type
required
Dashboard type
Example : Custom
string

2.20 - DashboardPageResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
dashboards
required
List of dashboards
array[DashboardDTO]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.21 - DashboardUpdateRequest

NameDescriptionSchemaDefault
name
optional
Dashboard’s name
Example : Renamed-Dashboard
any of [string, null]
widgets
optional
List of widgets included in the dashboard
any of [array[WidgetDTO], null]

2.22 - DimensionDTO

NameDescriptionSchemaDefault
key
required
Dimension Key
Example : InstanceId
string
value
required
Dimension Value
Example : 10bf5d24-0f20-4066-bb0b-de2b1d6ff502
string

2.23 - IndividualItemDTO

NameDescriptionSchemaDefault
key
required
Individual item’s key
Example : bucket_id
string
value
required
Individual item’s value
Example : 6870d9989ec3496c932de11b409ed9cc
object

2.24 - LogGroupsLogStreamsCollectCustomRequest

NameDescriptionSchemaDefault
log_group_name
required
Log group name
Example : testlg01
string
log_stream_name
required
Log stream name
Example : testls01
string

2.25 - LogGroupsLogStreamsCollectCustomResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example : 1bcf39b344ac41cbaf0466ff0d2bebad
string
log_group_value
required
Log group value
Example : fa6169af200b4d5db229aff384b2a028
string
log_stream_value
required
Log stream value
Example : 551513c5182b45beb22eadb634cdccfb
string
requests_per_second
required
Export log requests per second
Example : 500
integer

2.26 - MetricAlert

NameDescriptionSchemaDefault
id
required

Example :
string
name
required

Example :
string

2.27 - MetricAlertDto

NameDescriptionSchemaDefault
id
required
Alert ID
Example : 0ad6da92-634a-4f8c-932e-9d650599ab1e
string
name
required
Alert Name
Example : Alert1
string

2.28 - MetricAlertsDTO

NameDescriptionSchemaDefault
alerts
optional
List of Alerts
any of [array[MetricAlert], null]
color
required
Metric line color
Example : #ff7f0e
string
dimensions
required
List of Dimensions
array[DimensionDTO]
display_name
required
Display name (label) of the metric
Example : EC2-Prod-CPU
string
individual_items
optional
List of Individual Items
Example : [{'key': 'BucketId', 'value': 'b-1234567890abcdef0'}]
any of [array[IndividualItemDTO], null]
name
required
Metric Name
Example : CPUUtilization
string
namespace_name
required
Namespace
Example : Virtual Server
string
period
required
Query period (seconds)
Example : 300
integer
statistic_type
required
Statistical function
Example : AVG
string

2.29 - MetricCustomMetaRequest

NameDescriptionSchemaDefault
metricMetas
required

array[MetricMetaDto]
namespace
required
Namespace
Example : MyCustom/filestorage
string

2.30 - MetricCustomMetaResponse

NameDescriptionSchemaDefault
account_id
required
Account ID of Metrics
Example : d79a5194b1a44a858969eb94754d3ba1
string
max_data_points
optional

Example :
integer
unit_logs
required

array[UnitLogDto]

2.31 - MetricCustomRequest

NameDescriptionSchemaDefault
resource_metrics
required
The resourceMetrics field holds a set of all metric data associated with a specific resource
array[OtlpResourceMetricDto]

2.32 - MetricDataImageDto

NameDescriptionSchemaDefault
color
optional
Color
Example : #0000ff
any of [string, null]
dimensions
required
List of Dimensions
array[MetricLabelDto]
display_name
optional
Metric Display Name
Example : Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]
any of [string, null]
individual_items
optional
List of Individual Items
any of [array[MetricLabelDto], null]
name
required
Metric Name
Example : CPU Usage/Core[Basic]
string
namespace_name
required
Namespace
Example : Virtual Server
string
period
optional
Statistic Period
Example : 300
any of [integer, null]
statistic_type
optional
Metric Statistics Type
Example : AVG
any of [enum (AVG, SUM, MAX, MIN, CNT), null]

2.33 - MetricDataImageDtoV1Dot1

NameDescriptionSchemaDefault
color
optional
Color
Example : #0000ff
any of [string, null]
dimensions
required
List of Dimensions
array[MetricLabelDto]
display_name
optional
Metric Display Name
Example : Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]
any of [string, null]
name
required
Metric Name
Example : CPU Usage/Core[Basic]
string
namespace_name
required
Namespace
Example : Virtual Server
string
period
optional
Statistic Period
Example : 300
any of [integer, null]
statistic_type
optional
Metric Statistics Type
Example : AVG
any of [enum (AVG, SUM, MAX, MIN, CNT), null]

2.34 - MetricDataImageRequest

NameDescriptionSchemaDefault
end
required
Metric End Time - Unix Timestamp
Example : 1640995440
Maximum : 4102444800
integer
height
optional
Chart Image Height(pixels)
Example : 400
any of [integer, null]500
metrics
required

array[MetricDataImageDto]
period
required
Statistic Period
Example : 300
integer
start
required
Metric Start Time - Unix Timestamp
Example : 1640995200
Maximum : 4102444800
integer
statistic_type
required
Metric Statistics Type
Example : AVG
enum (AVG, SUM, MAX, MIN, CNT)
timezone
optional
Timezone
Example : UTC
any of [string, null]UTC
title
optional
Chart Title
Example : Virtual Server Metric Chart
any of [string, null]
width
optional
Chart Image Width(pixels)
Example : 600
any of [integer, null]1400

2.35 - MetricDataImageRequestV1Dot1

NameDescriptionSchemaDefault
end
required
Metric End Time - Unix Timestamp
Example : 1640995440
Maximum : 4102444800
integer
height
optional
Chart Image Height(pixels)
Example : 400
any of [integer, null]500
metrics
required

array[MetricDataImageDtoV1Dot1]
period
required
Statistic Period
Example : 300
integer
start
required
Metric Start Time - Unix Timestamp
Example : 1640995200
Maximum : 4102444800
integer
statistic_type
required
Metric Statistics Type
Example : AVG
enum (AVG, SUM, MAX, MIN, CNT)
timezone
optional
Timezone
Example : UTC
any of [string, null]UTC
title
optional
Chart Title
Example : Virtual Server Metric Chart
any of [string, null]
width
optional
Chart Image Width(pixels)
Example : 600
any of [integer, null]1400

2.36 - MetricDataRequest

NameDescriptionSchemaDefault
end
required
Metric End Time - Unix Timestamp
Example : 1640995440
Maximum : 4102444800
integer
metrics
required

array[MetricDetailDto]
period
required
Statistic Period
Example : 300
integer
start
required
Metric Start Time - Unix Timestamp
Example : 1640995200
Maximum : 4102444800
integer
statistic_type
required
Metric Statistics Type
Example : AVG
enum (AVG, SUM, MAX, MIN, CNT)

2.37 - MetricDataRequestV1Dot1

NameDescriptionSchemaDefault
end
required
Metric End Time - Unix Timestamp
Example : 1640995440
Maximum : 4102444800
integer
metrics
required

array[MetricDetailDtoV1Dot1]
period
required
Statistic Period
Example : 300
integer
start
required
Metric Start Time - Unix Timestamp
Example : 1640995200
Maximum : 4102444800
integer
statistic_type
required
Metric Statistics Type
Example : AVG
enum (AVG, SUM, MAX, MIN, CNT)

2.38 - MetricDataResponse

NameDescriptionSchemaDefault
metrics
required

array[MetricDataResponseDto]

2.39 - MetricDataResponseDto

NameDescriptionSchemaDefault
display_name
required
Metric Display Name
Example : Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]
string
status
required

Example :
string
values
required
List of Metric Series Values
Example : [[1640995200, "45.5"]]
array[array[any of [integer, string]]]

2.40 - MetricDetailDto

NameDescriptionSchemaDefault
dimensions
required
List of Dimensions
array[MetricLabelDto]
display_name
optional
Metric Display Name
Example : Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]
any of [string, null]
individual_items
optional
List of Individual Items
any of [array[MetricLabelDto], null]
name
required
Metric Name
Example : CPU Usage/Core[Basic]
string
namespace_name
required
Namespace
Example : Virtual Server
string
period
optional
Statistic Period
Example : 300
any of [integer, null]
statistic_type
optional
Metric Statistics Type
Example : AVG
any of [enum (AVG, SUM, MAX, MIN, CNT), null]

2.41 - MetricDetailDtoV1Dot1

NameDescriptionSchemaDefault
dimensions
required
List of Dimensions
array[MetricLabelDto]
display_name
optional
Metric Display Name
Example : Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]
any of [string, null]
name
required
Metric Name
Example : CPU Usage/Core[Basic]
string
namespace_name
required
Namespace
Example : Virtual Server
string
period
optional
Statistic Period
Example : 300
any of [integer, null]
statistic_type
optional
Metric Statistics Type
Example : AVG
any of [enum (AVG, SUM, MAX, MIN, CNT), null]

2.42 - MetricDimensionDto

NameDescriptionSchemaDefault
columns
required

array[MetricsMetricColumnDto]
key
required
Dimension Key
Example : InstanceId
string
metrics
required

array[MetricListDto]

2.43 - MetricDimensionDtoV1Dot1

NameDescriptionSchemaDefault
columns
required

array[MetricsMetricColumnDto]
keys
required
Dimension Key
Example : InstanceId
array[string]
metrics
required

array[MetricListDtoV1Dot1]

2.44 - MetricDTO

NameDescriptionSchemaDefault
color
required
Metric line color
Example : #ff7f0e
string
dimensions
required
List of Dimensions
array[DimensionDTO]
display_name
required
Display name (label) of the metric
Example : EC2-Prod-CPU
string
individual_items
optional
List of Individual Items
Example : [{'key': 'BucketId', 'value': 'b-1234567890abcdef0'}]
any of [array[IndividualItemDTO], null]
name
required
Metric Name
Example : CPUUtilization
string
namespace_name
required
Namespace
Example : Virtual Server
string
period
required
Query period (seconds)
Example : 300
integer
statistic_type
required
Statistical function
Example : AVG
string

2.45 - MetricDtoV1Dot1

NameDescriptionSchemaDefault
color
required
Metric line color
Example : #ff7f0e
string
dimensions
required
List of Dimensions
array[DimensionDTO]
display_name
required
Display name (label) of the metric
Example : EC2-Prod-CPU
string
name
required
Metric Name
Example : CPUUtilization
string
namespace_name
required
Namespace
Example : Virtual Server
string
period
required
Query period (seconds)
Example : 300
integer
statistic_type
required
Statistical function
Example : AVG
string

2.46 - MetricLabelDto

NameDescriptionSchemaDefault
key
required
Key
Example : VolumeID
string
value
required
Value
Example : 45fbde15-cdd2-4891-be31-4a9de75fccda
string

2.47 - MetricLabelNameDto

NameDescriptionSchemaDefault
key
required
Key
Example : VolumeID
string
value
required
Value
Example : 45fbde15-cdd2-4891-be31-4a9de75fccda
any of [string, null]

2.48 - MetricListDto

NameDescriptionSchemaDefault
alerts
required
List of Alerts
any of [array[MetricAlertDto], null]
default_collection_interval
required
Metric’s Default Collection Interval
Example : 5m
enum (NONE, 1m, 5m)
detailed_collection_interval
required
Metric’s Detailed Collection Interval
Example : 1m
enum (NONE, 1m, 5m)
dimensions
required
List of Dimensions
array[MetricLabelDto]
id
required
Metric ID
Example : d91097ac-0387-4e69-adb2-7b8d453b8db5
string
individual_items
optional
List of Dimensions
any of [array[MetricLabelDto], null]
name
required
Metric Name
Example : CPU Usage/Core[Basic]
string
named_dimensions
required
List of Dimensions
any of [array[MetricLabelNameDto], null]
namespace_id
required
Namespace ID
Example : d583a229-9766-4eb8-96c4-ec389902ba3d
string
namespace_name
required
Namespace
Example : Virtual Server
string
primary
required
Primary Metric
Example : True
boolean
recommended_stat_types
required
List of Recommended Metric Statistics
Example : ["AVG", "MAX"]
array[string]
tags
required
List of Tags
any of [array[TagDTO], null]
unit
required
Metric Unit
Example : BYTE
string

2.49 - MetricListDtoV1Dot1

NameDescriptionSchemaDefault
alerts
required
List of Alerts
any of [array[MetricAlertDto], null]
default_collection_interval
required
Metric’s Default Collection Interval
Example : 5m
enum (NONE, 1m, 5m)
detailed_collection_interval
required
Metric’s Detailed Collection Interval
Example : 1m
enum (NONE, 1m, 5m)
dimensions
required
List of Dimensions
array[MetricLabelDto]
id
required
Metric ID
Example : d91097ac-0387-4e69-adb2-7b8d453b8db5
string
name
required
Metric Name
Example : CPU Usage/Core[Basic]
string
named_dimensions
required
List of Dimensions
any of [array[MetricLabelNameDto], null]
namespace_id
required
Namespace ID
Example : d583a229-9766-4eb8-96c4-ec389902ba3d
string
namespace_name
required
Namespace
Example : Virtual Server
string
primary
required
Primary Metric
Example : True
boolean
recommended_stat_types
required
List of Recommended Metric Statistics
Example : ["AVG", "MAX"]
array[string]
tags
required
List of Tags
any of [array[TagDTO], null]
unit
required
Metric Unit
Example : BYTE
string

2.50 - MetricMetaDto

NameDescriptionSchemaDefault
descriptionEn
required
Description of Metrics in English
Example : filestorage volume total byte
any of [string, null]
descriptionKo
required
Description of Metrics in Korean
Example : 파일스토리지 총 바이트 수
any of [string, null]
dimensions
required
List of Dimension Keys
Example : [['image_id']]
array[array[string]]
metricName
required
Metric Name
Example : Custom_filestorage_volume_total_byte
string
storageResolution
optional
Storage Resolution
Example : 60
any of [integer, null]
unit
required
Metric Unit
Example : Bytes
any of [enum (Seconds, Microseconds, Milliseconds, Bytes, Kilobytes, Megabytes, Gigabytes, Terabytes, Bits, Kilobits, Megabits, Gigabits, Terabits, Percent, Count, Bytes/Second, Kilobytes/Second, Megabytes/Second, Gigabytes/Second, Terabytes/Second, Bits/Second, Kilobits/Second, Megabits/Second, Gigabits/Second, Terabits/Second, Count/Second, Count/Minute, None), null]

2.51 - MetricNamespaceDto

NameDescriptionSchemaDefault
dimensions
required

array[MetricDimensionDto]
id
required
Namespace ID
Example : d583a229-9766-4eb8-96c4-ec389902ba3d
string
name
required
Namespace
Example : Virtual Server
string
service_name
required

Example :
string

2.52 - MetricNamespaceDtoV1Dot1

NameDescriptionSchemaDefault
dimensions
required

array[MetricDimensionDtoV1Dot1]
id
required
Namespace ID
Example : d583a229-9766-4eb8-96c4-ec389902ba3d
string
name
required
Namespace
Example : Virtual Server
string
service_name
required

Example :
string

2.53 - MetricSearchRequest

NameDescriptionSchemaDefault
metric_name
optional
Metric Name
Example : CPU Usage/Core[Basic]
any of [string, null]
namespaces
optional
List of Namespace
any of [array[SearchOptionNamespaceDto], null]
resource_id
optional
Resource ID
Example : 10bf5d24-0f20-4066-bb0b-de2b1d6ff502
any of [string, null]
resource_name
optional
Resource Name
Example : VirtualServer01
any of [string, null]
tags
optional
List of Tags
any of [array[TagDTO], null]

2.54 - MetricSearchRequestV1Dot1

NameDescriptionSchemaDefault
metric_name
optional
Metric Name
Example : CPU Usage/Core[Basic]
any of [string, null]
namespaces
optional
List of Namespace
any of [array[SearchOptionNamespaceDtoV1Dot1], null]
resource_id
optional
Resource ID
Example : 10bf5d24-0f20-4066-bb0b-de2b1d6ff502
any of [string, null]
resource_name
optional
Resource Name
Example : VirtualServer01
any of [string, null]
tags
optional
List of Tags
any of [array[TagDTO], null]

2.55 - MetricsMetricColumnDto

NameDescriptionSchemaDefault
key
required
Column Key
Example : name
string
name_en
required
Column Name
Example : 지표명
string
name_ko
required
Column Name
Example : 지표명
string

2.56 - MetricsResponse

NameDescriptionSchemaDefault
count
required
Count
Example : 1
integer
namespaces
required

array[MetricNamespaceDto]

2.57 - MetricsResponseV1Dot1

NameDescriptionSchemaDefault
count
required
Count
Example : 1
integer
namespaces
required

array[MetricNamespaceDtoV1Dot1]

2.58 - OtlpAttributeDto

NameDescriptionSchemaDefault
key
required
Key value of an Attribute. Generally, Resource Attributes are configured to signify the entity or environment from which the metric data was collected. Data Point Attributes represent the name of the label.
Example :
string
value
required
Value of Attribute. There are fields that correspond to multiple types, and only a single value may be sent. If more than one value is provided, only one will be accepted and the additional values will be dropped
OtlpAttributeValueDto

2.59 - OtlpAttributeValueDto

NameDescriptionSchemaDefault
array_value
optional
Array-typed Value of Attribute
Example :
any of [array[object], null]
bool_value
optional
Bool-typed Value of Attribute
Example :
any of [boolean, null]
byte_value
optional
Byte-typed Value of Attribute
Example :
any of [string (binary), null]
double_value
optional
Double-typed Value of Attribute
Example :
any of [object, null]
int_value
optional
Int-typed Value of Attribute
Example :
any of [integer, null]
kvlist_value
optional
Key-Value List-typed Value of Attribute
Example :
any of [object, null]
string_value
optional
String-typed Value of Attribute
Example :
any of [string, null]

2.60 - OtlpGaugeDto

NameDescriptionSchemaDefault
data_points
required
The dataPoints field contains a list of the actual observed values for a specific metric, where each value has a timestamp and a metric value. The value of a data point must be represented as either asInt or asDouble, and only a single value may be sent. If more than one value is provided, only one will be accepted and the additional values will be dropped
array[OtlpNumberDataPointDto]

2.61 - OtlpMetricDto

NameDescriptionSchemaDefault
description
optional
Description of Metric
Example : The total number of bytes read successfully.
any of [string, null]
gauge
optional
The gauge field is a metric type that represents a single value at a specific point in time, used for measuring fluctuating values like current memory usage or CPU temperature. either sum or gauge must be specified.
any of [OtlpGaugeDto, null]
name
required
Name of Metric
Example : node_disk_read_bytes_total
string
sum
optional
The sum field is a metric type that represents a cumulative value over time, used for measuring quantities that only increase, like the number of requests or bytes sent. either sum or gauge must be specified.
any of [OtlpSumDto, null]
unit
optional
Unit of Metric
Example : Bytes
any of [string, null]

2.62 - OtlpNumberDataPointDto

NameDescriptionSchemaDefault
as_double
optional
Double-typed value of the metric
Example : 0.75
any of [object, null]
as_int
optional
Int-typed value of the metric
Example : 10
any of [integer, null]
attributes
required
Labels of Metric
array[OtlpAttributeDto]
start_time_unix_nano
optional
Unix timestamp, expressed in nanoseconds, for the moment when the metric data began being measured (only used for sum, not for gauge)
Example : 1753776789854000000
any of [string, null]
time_unix_nano
required
Unix timestamp, expressed in nanoseconds, for the moment when the metric data was measured or when the measurement ended
Example : 1753776789854000000
integer

2.63 - OtlpResourceDto

NameDescriptionSchemaDefault
attributes
required
Resource attributes of Metric
array[OtlpAttributeDto]

2.64 - OtlpResourceMetricDto

NameDescriptionSchemaDefault
resource
required
The resource field holds attributes that describe the entity or environment from which the metric data originated
OtlpResourceDto
scope_metrics
required
The scopeMetrics field holds a set of all metric data associated with a specific instrumentation library/scope
array[OtlpScopeMetricDto]

2.65 - OtlpScopeDto

NameDescriptionSchemaDefault
name
required
Name of the Collector that collected the metric
Example : ServiceWatch-Agent
string
version
optional
Version of the Collector that collected the metric
Example : 1.0.0
any of [string, null]

2.66 - OtlpScopeMetricDto

NameDescriptionSchemaDefault
metrics
required
The metrics field contains a list of the actual metric data generated by the scope, where each item represents a single metric. The metric type can only be gauge or sum, and you must send exactly one value. If more than one value is provided, only one will be accepted and the additional values will be dropped
array[OtlpMetricDto]
scope
required
The scope field identifies the instrumentation library or scope that generated the metrics, typically including its name and version
OtlpScopeDto

2.67 - OtlpSumDto

NameDescriptionSchemaDefault
aggregation_temporality
required
Aggregation Temporality defines the time window over which metric measurements are aggregated, specifying if the reported value is the cumulative sum (2) or the incremental change (1, Delta) since the last report or unspecified (0).
Example : 2
integer
data_points
required
The dataPoints field contains a list of the actual observed values for a specific metric, where each value has a timestamp and a metric value. The value of a data point must be represented as either asInt or asDouble, and only a single value may be sent. If more than one value is provided, only one will be accepted and the additional values will be dropped
array[OtlpNumberDataPointDto]
is_monotonic
required
Whether the value is monotonic
Example : True
boolean

2.68 - PropertiesDTO

NameDescriptionSchemaDefault
metrics
required
List of metrics included in the widget
array[MetricDTO]
period
optional
Query period (seconds)
Example : 300
any of [integer, null]
stacked
required
Whether the graph is stacked
Example : False
boolean
statistic_type
optional
Statistical function
Example : AVG
any of [string, null]
title
required
Widget title
Example : Virtual Server | CPU Utilization
string
view
required
View type
Example : line
string

2.69 - PropertiesDtoV1Dot1

NameDescriptionSchemaDefault
metrics
required
List of metrics included in the widget
array[MetricDtoV1Dot1]
period
optional
Query period (seconds)
Example : 300
any of [integer, null]
stacked
required
Whether the graph is stacked
Example : False
boolean
statistic_type
optional
Statistical function
Example : AVG
any of [string, null]
title
required
Widget title
Example : Virtual Server | CPU Utilization
string
view
required
View type
Example : line
string

2.70 - SearchOptionNamespaceDto

NameDescriptionSchemaDefault
dimensions
required
List of Dimensions
Example : ["resource_id"]
array[string]
name
required
Namespace
Example : Virtual Server
string

2.71 - SearchOptionNamespaceDtoV1Dot1

NameDescriptionSchemaDefault
dimensions
required
List of Dimensions
Example : [["resource_id"]]
array[array[string]]
name
required
Namespace
Example : Virtual Server
string

2.72 - TagDTO

NameDescriptionSchemaDefault
key
required
Tag Key
Example : key01
string
value
required
Tag Value
Example : value01
string

2.73 - UnitLogDto

NameDescriptionSchemaDefault
code
required
RESPONSE STATUS CODE of Metric
Example : Success
string
message
required
Message about Updated Unit Info
Example : [libvirt_domain_info_virtual_cpus] unit is updated from Count to Bytes
string

2.74 - WidgetDetailDTO

NameDescriptionSchemaDefault
dashboard_id
required
Dashboard’s unique ID
Example : b48e730a70e74f6aa3d2555000b5c22b
string
height
required
Widget’s height
Example : 1
integer
id
required
Widget’s unique ID
Example : 75da70a1a4fb486ab0282cf90693ec3c
string
order
required
Widget’s order in the dashboard
Example : 1
integer
properties
required
Widget’s detailed properties
PropertiesDTO
type
required
Widget type
Example : metric
string
width
required
Widget’s width
Example : 1
integer

2.75 - WidgetDetailDtoV1Dot1

NameDescriptionSchemaDefault
dashboard_id
required
Dashboard’s unique ID
Example : b48e730a70e74f6aa3d2555000b5c22b
string
height
required
Widget’s height
Example : 1
integer
id
required
Widget’s unique ID
Example : 75da70a1a4fb486ab0282cf90693ec3c
string
order
required
Widget’s order in the dashboard
Example : 1
integer
properties
required
Widget’s detailed properties
PropertiesDtoV1Dot1
type
required
Widget type
Example : metric
string
width
required
Widget’s width
Example : 1
integer

2.76 - WidgetDTO

NameDescriptionSchemaDefault
height
required
Widget’s height
Example : 1
integer
order
required
Widget’s order in the dashboard
Example : 1
integer
properties
required
Widget’s detailed properties
PropertiesDTO
type
required
Widget type
Example : metric
string
width
required
Widget’s width
Example : 1
integer